ros-humble-controller-interface (2.48.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 07 Feb 2025 00:00:00 -0000

ros-humble-controller-interface (2.47.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 31 Dec 2024 00:00:00 -0000

ros-humble-controller-interface (2.46.0-1jammy) jammy; urgency=high

  * generate version.h file per package using the ament_generate_version_header  (backport #1449 <https://github.com/ros-controls/ros2_control/issues/1449>) (#1938 <https://github.com/ros-controls/ros2_control/issues/1938>)
  * [CI] Add clang job, setup concurrency, use rt_tools humble branch (backport #1910 <https://github.com/ros-controls/ros2_control/issues/1910>) (#1924 <https://github.com/ros-controls/ros2_control/issues/1924>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 16 Dec 2024 00:00:00 -0000

ros-humble-controller-interface (2.45.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 03 Dec 2024 00:00:00 -0000

ros-humble-controller-interface (2.44.0-1jammy) jammy; urgency=high

  * Add few warning compiler options to error (backport #1181 <https://github.com/ros-controls/ros2_control/issues/1181>) (#1816 <https://github.com/ros-controls/ros2_control/issues/1816>)
  * Add -Wconversion flag to protect future developments (#1053 <https://github.com/ros-controls/ros2_control/issues/1053>) (#1815 <https://github.com/ros-controls/ros2_control/issues/1815>)
  * Add PoseSensor semantic component (#1775 <https://github.com/ros-controls/ros2_control/issues/1775>) (#1785 <https://github.com/ros-controls/ros2_control/issues/1785>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 09 Nov 2024 00:00:00 -0000

ros-humble-controller-interface (2.43.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 10 Sep 2024 23:00:00 -0000

ros-humble-controller-interface (2.43.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 21 Aug 2024 23:00:00 -0000

ros-humble-controller-interface (2.42.0-1jammy) jammy; urgency=high

  * [ControllerInterface] Avoid warning about conversion from int64_t to unsigned int (backport #1173 <https://github.com/ros-controls/ros2_control/issues/1173>) (#1631 <https://github.com/ros-controls/ros2_control/issues/1631>)
  * Fix dependencies for source build (#1533 <https://github.com/ros-controls/ros2_control/issues/1533>) (#1535 <https://github.com/ros-controls/ros2_control/issues/1535>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 22 Jul 2024 23:00:00 -0000

ros-humble-controller-interface (2.41.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 29 Apr 2024 23:00:00 -0000

ros-humble-controller-interface (2.40.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 02 Mar 2024 00:00:00 -0000

ros-humble-controller-interface (2.39.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 14 Feb 2024 00:00:00 -0000

ros-humble-controller-interface (2.39.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 12 Feb 2024 00:00:00 -0000

ros-humble-controller-interface (2.38.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 25 Jan 2024 00:00:00 -0000

ros-humble-controller-interface (2.37.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 20 Jan 2024 00:00:00 -0000

ros-humble-controller-interface (2.36.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 08 Jan 2024 00:00:00 -0000

ros-humble-controller-interface (2.36.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 12 Dec 2023 00:00:00 -0000

ros-humble-controller-interface (2.35.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 27 Nov 2023 00:00:00 -0000

ros-humble-controller-interface (2.35.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 14 Nov 2023 00:00:00 -0000

ros-humble-controller-interface (2.34.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 08 Nov 2023 00:00:00 -0000

ros-humble-controller-interface (2.33.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 10 Oct 2023 23:00:00 -0000

ros-humble-controller-interface (2.32.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 02 Oct 2023 23:00:00 -0000

ros-humble-controller-interface (2.31.0-1jammy) jammy; urgency=high

  * add a broadcaster for range sensor (#1091 <https://github.com/ros-controls/ros2_control/issues/1091>) (#1100 <https://github.com/ros-controls/ros2_control/issues/1100>)
  * Contributors: flochre

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 10 Sep 2023 23:00:00 -0000

ros-humble-controller-interface (2.30.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 13 Aug 2023 23:00:00 -0000

ros-humble-controller-interface (2.29.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 08 Jul 2023 23:00:00 -0000

ros-humble-controller-interface (2.28.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 22 Jun 2023 23:00:00 -0000

ros-humble-controller-interface (2.27.0-1jammy) jammy; urgency=high

  * [Humble] enable ReflowComments to also use ColumnLimit on comments (#1038 <https://github.com/ros-controls/ros2_control/issues/1038>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 13 Jun 2023 23:00:00 -0000

ros-humble-controller-interface (2.26.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 19 May 2023 23:00:00 -0000

ros-humble-controller-interface (2.25.3-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 28 Apr 2023 23:00:00 -0000

ros-humble-controller-interface (2.25.2-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 19 Apr 2023 23:00:00 -0000

ros-humble-controller-interface (2.25.1-1jammy) jammy; urgency=high

  * Add missing build_export_depends to controller_interface (backport #989 <https://github.com/ros-controls/ros2_control/issues/989>) (#990 <https://github.com/ros-controls/ros2_control/issues/990>)
  * Contributors: Scott K Logan

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 13 Apr 2023 23:00:00 -0000

ros-humble-controller-interface (2.25.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 01 Apr 2023 23:00:00 -0000

ros-humble-controller-interface (2.24.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 09 Mar 2023 00:00:00 -0000

ros-humble-controller-interface (2.24.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 28 Feb 2023 00:00:00 -0000

ros-humble-controller-interface (2.23.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 20 Feb 2023 00:00:00 -0000

ros-humble-controller-interface (2.22.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 31 Jan 2023 00:00:00 -0000

ros-humble-controller-interface (2.21.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 24 Jan 2023 00:00:00 -0000

ros-humble-controller-interface (2.20.0-1jammy) jammy; urgency=high

  * Update imu_sensor.hpp (#893 <https://github.com/ros-controls/ros2_control/issues/893>) (#896 <https://github.com/ros-controls/ros2_control/issues/896>)
  * Contributors: flochre

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 12 Jan 2023 00:00:00 -0000

ros-humble-controller-interface (2.19.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 06 Jan 2023 00:00:00 -0000

ros-humble-controller-interface (2.18.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 03 Dec 2022 00:00:00 -0000

ros-humble-controller-interface (2.17.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 27 Nov 2022 00:00:00 -0000

ros-humble-controller-interface (2.16.0-1jammy) jammy; urgency=high

  * Add docs in export interface configurations for controllers. (#804 <https://github.com/ros-controls/ros2_control/issues/804>) (#842 <https://github.com/ros-controls/ros2_control/issues/842>)
  * Contributors: Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 16 Oct 2022 23:00:00 -0000

ros-humble-controller-interface (2.15.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 18 Sep 2022 23:00:00 -0000

ros-humble-controller-interface (2.14.0-1jammy) jammy; urgency=high

  * Add doxygen comments (#777 <https://github.com/ros-controls/ros2_control/issues/777>)
  * Contributors: Bence Magyar, Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 03 Sep 2022 23:00:00 -0000

ros-humble-controller-interface (2.13.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 02 Aug 2022 23:00:00 -0000

ros-humble-controller-interface (2.12.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 13 Jul 2022 23:00:00 -0000

ros-humble-controller-interface (2.12.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 08 Jul 2022 23:00:00 -0000

ros-humble-controller-interface (2.11.0-1jammy) jammy; urgency=high

  * [Interfaces] Improved ```get_name()``` method of hardware interfaces (soft) #api-breaking (#737 <https://github.com/ros-controls/ros2_control/issues/737>)
  * Update maintainers of packages (#753 <https://github.com/ros-controls/ros2_control/issues/753>)
  * Full functionality of chainable controllers in controller manager (#667 <https://github.com/ros-controls/ros2_control/issues/667>)
    * auto-switching of chained mode in controllers
    * interface-matching approach for managing chaining controllers
  * Contributors: Bence Magyar, Denis Štogl, Lucas Schulze

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 02 Jul 2022 23:00:00 -0000

ros-humble-controller-interface (2.10.0-1jammy) jammy; urgency=high

  * CMakeLists cleanup (#733 <https://github.com/ros-controls/ros2_control/issues/733>)
  * Update to clang format 12 (#731 <https://github.com/ros-controls/ros2_control/issues/731>)
  * Make interface_list_contains_interface_type inline (#721 <https://github.com/ros-controls/ros2_control/issues/721>)
  * Contributors: Andy Zelenak, Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 17 Jun 2022 23:00:00 -0000

ros-humble-controller-interface (2.9.0-1jammy) jammy; urgency=high

  * Adding base class for chained controllers: ChainedControllersInterface (#663 <https://github.com/ros-controls/ros2_control/issues/663>)
    * Extending ControllerInterface with methods for chainable controllers.
    * Switching to chained_mode is only forbidden if controller is active.
    * Default implementation for 'on_set_chained_mode' method.
    * Use two internal methods instead of 'update' directly on chained controllers.
  * Add ControllerInterfaceBase class with methods for chainable controller (#717 <https://github.com/ros-controls/ros2_control/issues/717>)
  * Contributors: Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 18 May 2022 23:00:00 -0000

ros-humble-controller-interface (2.8.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 12 May 2022 23:00:00 -0000

ros-humble-controller-interface (2.7.0-1jammy) jammy; urgency=high

  * Make node private in ControllerInterface (#699 <https://github.com/ros-controls/ros2_control/issues/699>)
  * Contributors: Jack Center

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 28 Apr 2022 23:00:00 -0000

ros-humble-controller-interface (2.6.0-1jammy) jammy; urgency=high

  * Add CallbackReturn into controller_interface namespace for simpler usage in controllers. (#701 <https://github.com/ros-controls/ros2_control/issues/701>)
  * Enable namespaces for controllers. (#693 <https://github.com/ros-controls/ros2_control/issues/693>)
  * Add tests for ControllerInterface class and clarify use of 'update_rate' parameter. (#662 <https://github.com/ros-controls/ros2_control/issues/662>)
    #behaviorchange
  * Contributors: Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 19 Apr 2022 23:00:00 -0000

ros-humble-controller-interface (2.5.0-1jammy) jammy; urgency=high

  * Use lifecycle nodes in controllers again (#538 <https://github.com/ros-controls/ros2_control/issues/538>)
    * Add lifecycle nodes
    * Add custom 'configure' to controller interface to get 'update_rate' parameter.
    * Disable external interfaces of LifecycleNode.
  * Cleaning Controller Interface from obsolete code. (#655 <https://github.com/ros-controls/ros2_control/issues/655>)
  * Contributors: Denis Štogl, Vatan Aksoy Tezer, Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 25 Mar 2022 00:00:00 -0000

ros-humble-controller-interface (2.4.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 23 Feb 2022 00:00:00 -0000

ros-humble-controller-interface (2.3.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 18 Feb 2022 00:00:00 -0000

ros-humble-controller-interface (2.2.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 24 Jan 2022 00:00:00 -0000

ros-humble-controller-interface (2.1.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 11 Jan 2022 00:00:00 -0000

ros-humble-controller-interface (2.0.0-1jammy) jammy; urgency=high

  * fix get_update_rate visibility in windows (#586 <https://github.com/ros-controls/ros2_control/issues/586>)
  * Use lifecycle name constants from hardware interface in controller interface (#575 <https://github.com/ros-controls/ros2_control/issues/575>)
    * Use lifecycle name constants from hardware interface in controller interface
    * Remove controller_state_names.hpp since it is not needed.
  * Contributors: Melvin Wang, Xi-Huang

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 29 Dec 2021 00:00:00 -0000

ros-humble-controller-interface (1.2.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 05 Nov 2021 00:00:00 -0000

ros-humble-controller-interface (1.1.0-1jammy) jammy; urgency=high

  * Quick fix 🏎: make doc on helpers clearer (#553 <https://github.com/ros-controls/ros2_control/issues/553>)
  * Contributors: Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 24 Oct 2021 23:00:00 -0000

ros-humble-controller-interface (1.0.0-1jammy) jammy; urgency=high

  * Per controller update rate (#513 <https://github.com/ros-controls/ros2_control/issues/513>)
    * add update_rate member field to controller manager
  * added dt to controller interface and controller manager #438 <https://github.com/ros-controls/ros2_control/issues/438> (#520 <https://github.com/ros-controls/ros2_control/issues/520>)
  * Methods controlling the lifecycle of controllers all have on_ prefix
  * Do not manually set C++ version to 14 (#516 <https://github.com/ros-controls/ros2_control/issues/516>)
  * rename get_current_state() to get_state() (#512 <https://github.com/ros-controls/ros2_control/issues/512>)
  * Contributors: Bence Magyar, Denis Štogl, Dmitri Ignakov, Márk Szitanics, bailaC

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 28 Sep 2021 23:00:00 -0000

ros-humble-controller-interface (0.8.0-1jammy) jammy; urgency=high

  * Automatic parameter declaration - enable existence of undeclared parameters from overrides (#504 <https://github.com/ros-controls/ros2_control/issues/504>)
  * Use clang format as code formatter (#491 <https://github.com/ros-controls/ros2_control/issues/491>)
  * Add pre-commit setup. (#473 <https://github.com/ros-controls/ros2_control/issues/473>)
  * Make controller_manager set controller's use_sim_time param when use_sim_time=True (#468 <https://github.com/ros-controls/ros2_control/issues/468>)
  * Correct obviously wrong call in controller interface. (#460 <https://github.com/ros-controls/ros2_control/issues/460>)
  * virtual destructors for semantic components (#455 <https://github.com/ros-controls/ros2_control/issues/455>)
  * Contributors: Denis Štogl, Karsten Knese, Lovro Ivanov, Simon Honigmann

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 27 Aug 2021 23:00:00 -0000

ros-humble-controller-interface (0.7.1-1jammy) jammy; urgency=high

  * Remove forgoten debug output (#439 <https://github.com/ros-controls/ros2_control/issues/439>)
  * Contributors: Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 14 Jun 2021 23:00:00 -0000

ros-humble-controller-interface (0.7.0-1jammy) jammy; urgency=high

  * Add imu_sensor semantic component (#429 <https://github.com/ros-controls/ros2_control/issues/429>)
  * Fix osx warnings (#428 <https://github.com/ros-controls/ros2_control/issues/428>)
  * Add FTS as first semantic components to simplify controllers. (#370 <https://github.com/ros-controls/ros2_control/issues/370>)
  * Contributors: bailaC, Denis Štogl, Jordan Palacios, Karsten Knese, Victor Lopez

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 05 Jun 2021 23:00:00 -0000

ros-humble-controller-interface (0.6.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 30 May 2021 23:00:00 -0000

ros-humble-controller-interface (0.6.0-1jammy) jammy; urgency=high

  * Added labels for controller states. (#414 <https://github.com/ros-controls/ros2_control/issues/414>)
  * prevent variable-sized object initialization (#411 <https://github.com/ros-controls/ros2_control/issues/411>)
  * Contributors: Denis Štogl, Karsten Knese, Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 22 May 2021 23:00:00 -0000

ros-humble-controller-interface (0.5.0-1jammy) jammy; urgency=high

  * Add NodeOptions parameter to init function of controller_interface (#382 <https://github.com/ros-controls/ros2_control/issues/382>)
  * guard around pragmas (#397 <https://github.com/ros-controls/ros2_control/issues/397>)
  * avoid deprecations (#393 <https://github.com/ros-controls/ros2_control/issues/393>)
  * Contributors: Auguste Bourgois, Karsten Knese, Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 02 May 2021 23:00:00 -0000

ros-humble-controller-interface (0.4.0-1jammy) jammy; urgency=high

  * Replace controller_interface return type SUCCESS by OK and mark SUCCESS as deprecated (#374 <https://github.com/ros-controls/ros2_control/issues/374>)
  * Contributors: Mateus Amarante

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 06 Apr 2021 23:00:00 -0000

ros-humble-controller-interface (0.3.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 21 Mar 2021 00:00:00 -0000

ros-humble-controller-interface (0.2.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 02 Mar 2021 00:00:00 -0000

ros-humble-controller-interface (0.2.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 26 Feb 2021 00:00:00 -0000

ros-humble-controller-interface (0.1.6-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 05 Feb 2021 00:00:00 -0000

ros-humble-controller-interface (0.1.5-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 04 Feb 2021 00:00:00 -0000

ros-humble-controller-interface (0.1.4-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 03 Feb 2021 00:00:00 -0000

ros-humble-controller-interface (0.1.3-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 21 Jan 2021 00:00:00 -0000

ros-humble-controller-interface (0.1.2-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 06 Jan 2021 00:00:00 -0000

ros-humble-controller-interface (0.1.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 23 Dec 2020 00:00:00 -0000

ros-humble-controller-interface (0.1.0-1jammy) jammy; urgency=high

  * Don't auto-declare override parameters and fix some prints (#276 <https://github.com/ros-controls/ros2_control/issues/276>)
  * Add configure controller service (#272 <https://github.com/ros-controls/ros2_control/issues/272>)
  * get_node() throw if node is uninitialized (#268 <https://github.com/ros-controls/ros2_control/issues/268>)
  * Remove lifecycle node (#261 <https://github.com/ros-controls/ros2_control/issues/261>)
  * Use resource manager (#236 <https://github.com/ros-controls/ros2_control/issues/236>)
  * import controller_interface
  * Contributors: Bence Magyar, Denis Štogl, Jordan Palacios, Karsten Knese, Victor Lopez

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 22 Dec 2020 00:00:00 -0000


